Autodesk.AutoCAD.Geometry Namespace > CurveCurveIntersector3d Class
CurveCurveIntersector3d Class
Description

 

This .Net class wraps AcGeCurveCurveInt3d ObjectARX class. 

 

Represents the intersection set of two curves. There are special case IntersectWith() functions in the LinearEntity3d, CircularArc3d, and AcGeEllipticArc3d classes to find the points of intersection between two lines, a line and an arc, an arc and an arc, or a line and an ellipse. However, there is no general IntersectWith() function to find the points of intersection between two general curves. This can only be done by constructing an object of this class. 

 

Objects of this class are constructed by specifying the two curves that are to be intersected. It is also possible to specify a specific interval of each curve that is to be intersected. Pointers to these curves are then stored as data members of this class. This class contains query methods that return the intersection points and intervals of overlap between the two curves. There are also methods that return information about each intersection point, such as whether the intersection is a tangential or transversal intersection. Points of self-intersection of a curve can be found by passing the same curve in both parameters of the constructor.

Class Hierarchy
Autodesk.AutoCAD.Geometry.Entity3d
    Autodesk.AutoCAD.Geometry.CurveCurveIntersector3d
Visual Basic
Public sealed Class CurveCurveIntersector3d
Inherits Entity3d
C#
public sealed class CurveCurveIntersector3d : Entity3d;
Links
   Comments?